"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UBA_BOUNDS_RANGE_MIN = exports.UBA_BOUNDS_RANGE_MAX = exports.DEFAULT_CACHING_SAFE_LAG = exports.DEFAULT_CACHING_TTL = exports.DEFAULT_BLOCKCHAIN_EXPLORER_DOMAIN = exports.PUBLIC_NETWORKS = exports.PROTOCOL_DEFAULT_CHAIN_ID_INDICES = exports.TRANSFER_THRESHOLD_MAX_CONFIG_STORE_VERSION = exports.HUBPOOL_CHAIN_ID = exports.SECONDS_PER_YEAR = exports.MAX_SAFE_ALLOWANCE = exports.ZERO_ADDRESS = exports.TOKEN_SYMBOLS_MAP = exports.CHAIN_IDs = void 0;
var ethers_1 = require("ethers");
var constants_1 = require("@across-protocol/contracts-v2/dist/utils/constants");
Object.defineProperty(exports, "CHAIN_IDs", { enumerable: true, get: function () { return constants_1.CHAIN_IDs; } });
Object.defineProperty(exports, "TOKEN_SYMBOLS_MAP", { enumerable: true, get: function () { return constants_1.TOKEN_SYMBOLS_MAP; } });
exports.ZERO_ADDRESS = ethers_1.constants.AddressZero;
exports.MAX_SAFE_ALLOWANCE = "79228162514264337593543950335";
exports.SECONDS_PER_YEAR = 31557600;
exports.HUBPOOL_CHAIN_ID = 1;
exports.TRANSFER_THRESHOLD_MAX_CONFIG_STORE_VERSION = 1;
exports.PROTOCOL_DEFAULT_CHAIN_ID_INDICES = [1, 10, 137, 288, 42161];
exports.PUBLIC_NETWORKS = {
    1: {
        name: "mainnet",
        etherscan: "https://etherscan.io",
    },
    5: { name: "goerli", etherscan: "https://goerli.etherscan.io" },
    10: { name: "optimism", etherscan: "https://optimistic.etherscan.io" },
    137: {
        name: "polygon-matic",
        etherscan: "https://polygonscan.com",
    },
    324: { name: "zksync", etherscan: "https://explorer.zksync.io" },
    8453: { name: "base", etherscan: "https://basescan.org" },
    42161: { name: "arbitrum", etherscan: "https://arbiscan.io" },
    43114: { name: "avalanche", etherscan: "https://snowtrace.io" },
    84531: { name: "base-goerli", etherscan: "https://basescan.org" },
    421613: { name: "arbitrum-goerli", etherscan: "https://goerli.arbiscan.io" },
};
exports.DEFAULT_BLOCKCHAIN_EXPLORER_DOMAIN = "https://etherscan.io";
exports.DEFAULT_CACHING_TTL = 60 * 60 * 24 * 7 * 2;
exports.DEFAULT_CACHING_SAFE_LAG = 60 * 60 * 24;
exports.UBA_BOUNDS_RANGE_MAX = ethers_1.BigNumber.from(String(Number.MAX_SAFE_INTEGER)).mul(ethers_1.utils.parseEther("1.0"));
exports.UBA_BOUNDS_RANGE_MIN = exports.UBA_BOUNDS_RANGE_MAX.mul(-1);
//# sourceMappingURL=constants.js.map