"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zkSyncGoerliQueries = exports.ZkSyncQueries = void 0;
var tslib_1 = require("tslib");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var constants_1 = require("../../constants");
var baseQuery_1 = tslib_1.__importStar(require("./baseQuery"));
var ZkSyncQueries = (function (_super) {
    tslib_1.__extends(ZkSyncQueries, _super);
    function ZkSyncQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ZK_SYNC); }
        if (usdcAddress === void 0) { usdcAddress = constants_1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants_1.CHAIN_IDs.ZK_SYNC]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = baseQuery_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ZkSyncQueries;
}(baseQuery_1.default));
exports.ZkSyncQueries = ZkSyncQueries;
var zkSyncGoerliQueries = (function (_super) {
    tslib_1.__extends(zkSyncGoerliQueries, _super);
    function zkSyncGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = "0x863859ef502F0Ee9676626ED5B418037252eFeb2"; }
        if (usdcAddress === void 0) { usdcAddress = constants_1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants_1.CHAIN_IDs.ZK_SYNC_GOERLI]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D"; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return zkSyncGoerliQueries;
}(baseQuery_1.default));
exports.zkSyncGoerliQueries = zkSyncGoerliQueries;
//# sourceMappingURL=zksync.js.map