import { SpokePool, TypedEvent } from "../../../typechain";
import { Logger } from "../logger";
export interface ISpokePoolContractEventsQuerier {
    getFundsDepositEvents: (from: number, to: number, depositorAddr?: string) => Promise<TypedEvent<any>[]>;
    getFilledRelayEvents: (from: number, to: number, depositorAddr?: string) => Promise<TypedEvent<any>[]>;
    getSpeedUpDepositEvents: (from: number, to: number, depositorAddr?: string) => Promise<TypedEvent<any>[]>;
}
export declare class SpokePoolEventsQuerier implements ISpokePoolContractEventsQuerier {
    private spokePool;
    private blockRangeSize?;
    private logger?;
    constructor(spokePool: SpokePool, blockRangeSize?: number | undefined, logger?: Logger | undefined);
    getFundsDepositEvents(from: number, to: number, depositorAddr?: string): Promise<TypedEvent<any>[]>;
    getFilledRelayEvents(from: number, to: number, depositorAddr?: string): Promise<TypedEvent<any>[]>;
    getSpeedUpDepositEvents(from: number, to: number, depositorAddr?: string): Promise<TypedEvent<any>[]>;
    private getFilledRelayEventsFilter;
    private getDepositEventsFilters;
    private getSpeedUpDepositEventsFilter;
    private getEvents;
}
