"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNativeTokenSymbol = exports.getNetworkName = void 0;
var PublicNetworks_1 = require("@uma/common/dist/PublicNetworks");
function getNetworkName(networkId) {
    try {
        var networkName = PublicNetworks_1.PublicNetworks[Number(networkId)].name;
        return networkName.charAt(0).toUpperCase() + networkName.slice(1);
    }
    catch (error) {
        if (Number(networkId) == 666) {
            return "Hardhat1";
        }
        if (Number(networkId) == 1337) {
            return "Hardhat2";
        }
        if (Number(networkId) == 421613) {
            return "ArbitrumGoerli";
        }
        if (Number(networkId) == 324) {
            return "ZkSync";
        }
        if (Number(networkId) == 280) {
            return "ZkSync-Goerli";
        }
        if (Number(networkId) == 8453) {
            return "Base";
        }
        if (Number(networkId) == 84531) {
            return "BaseGoerli";
        }
        return "unknown";
    }
}
exports.getNetworkName = getNetworkName;
function getNativeTokenSymbol(chainId) {
    if (chainId.toString() === "137" || chainId.toString() === "80001") {
        return "MATIC";
    }
    return "ETH";
}
exports.getNativeTokenSymbol = getNativeTokenSymbol;
//# sourceMappingURL=NetworkUtils.js.map