import { UBAOnChainConfigType, UBAParsedConfigType } from "../../../interfaces";
/**
 * Type guard for UBAOnChainConfigType
 * @param input An unknown value that may or may not be a UBAOnChainConfigType
 * @returns True if the input is a UBAOnChainConfigType, false otherwise
 */
export declare function isUBAOnChainConfig(input: unknown): input is UBAOnChainConfigType;
/**
 * Parses a UBAOnChainConfigType into a UBAParsedConfigType
 * @param config The UBAOnChainConfigType to parse
 * @returns The parsed UBAParsedConfigType
 * @throws If the config is undefined
 * @throws If the config is not a UBAOnChainConfigType
 * @throws If the config is not valid
 */
export declare function parseUBAConfigFromOnChain(config?: UBAOnChainConfigType): UBAParsedConfigType;
