import { __extends } from "tslib";
import { CHAIN_IDs, TOKEN_SYMBOLS_MAP } from "../../constants";
import { getDeployedAddress } from "../../utils/DeploymentUtils";
import { DEFAULT_LOGGER } from "../relayFeeCalculator";
import QueryBase, { DEFAULT_SIMULATED_RELAYER_ADDRESS } from "./baseQuery";
var EthereumQueries = /** @class */ (function (_super) {
    __extends(EthereumQueries, _super);
    function EthereumQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.MAINNET); }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.MAINNET]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return EthereumQueries;
}(QueryBase));
export { EthereumQueries };
/**
 * Query class for Ethereum Görli.
 */
var EthereumGoerliQueries = /** @class */ (function (_super) {
    __extends(EthereumGoerliQueries, _super);
    function EthereumGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.GOERLI); }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.GOERLI]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D"; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return EthereumGoerliQueries;
}(QueryBase));
export { EthereumGoerliQueries };
//# sourceMappingURL=ethereum.js.map