import { __awaiter, __generator } from "tslib";
import * as constants from "../constants";
import { Contract } from "ethers";
import { ERC20__factory } from "../typechain";
var TOKEN_SYMBOLS_MAP = constants.TOKEN_SYMBOLS_MAP, CHAIN_IDs = constants.CHAIN_IDs;
export function fetchTokenInfo(address, signerOrProvider) {
    return __awaiter(this, void 0, void 0, function () {
        var token, _a, symbol, decimals;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    token = new Contract(address, ERC20__factory.abi, signerOrProvider);
                    return [4 /*yield*/, Promise.all([token.symbol(), token.decimals()])];
                case 1:
                    _a = _b.sent(), symbol = _a[0], decimals = _a[1];
                    return [2 /*return*/, { address: address, symbol: symbol, decimals: decimals }];
            }
        });
    });
}
export var getL2TokenAddresses = function (l1TokenAddress) {
    var _a;
    return (_a = Object.values(TOKEN_SYMBOLS_MAP).find(function (details) {
        return details.addresses[CHAIN_IDs.MAINNET] === l1TokenAddress;
    })) === null || _a === void 0 ? void 0 : _a.addresses;
};
//# sourceMappingURL=TokenUtils.js.map