import type { Block, Provider } from "@ethersproject/abstract-provider";
type Opts = {
    latestBlockNumber?: number;
    blockRange?: number;
};
/**
 * @description Compute the average block time over a block range.
 * @returns Average number of seconds per block.
 */
export declare function averageBlockTime(provider: Provider, { latestBlockNumber, blockRange }?: Opts): Promise<{
    average: number;
    blockRange: number;
}>;
export declare class BlockFinder {
    private readonly provider;
    private readonly blocks;
    constructor(provider: Provider, blocks?: Block[]);
    /**
     * @notice Gets the latest block whose timestamp is <= the provided timestamp.
     * @param {number} timestamp timestamp to search.
     */
    getBlockForTimestamp(timestamp: number | string): Promise<Block>;
    private getLatestBlock;
    private getBlock;
    private findBlock;
}
export {};
//# sourceMappingURL=BlockUtils.d.ts.map